<!DOCTYPE html>
<html lang="it">
<head>
  <meta charset="UTF-8">
  <title>WebSocket client</title>
</head>
<body>
  <h1>WebSocket client</h1>

  <button id="send">Connetti al server</button>

  <script>
    const socket = new WebSocket('ws://localhost:8080');

    // Gestione dell'evento "open"
    socket.addEventListener('open', (event) => {
      socket.send('Ciao dal client!');
    });

    // Gestione dell'evento "message"
    socket.addEventListener('message', (event) => {
      console.log('Messaggio ricevuto dal server: ', event.data);
    });

    // Gestione dell'evento "close"
    socket.addEventListener('close', (event) => {
      console.log('Connessione chiusa');
    });

    document.getElementById("send")
      .addEventListener("click", () => {
        socket.send('Clicked');
      });
  </script>

</body>
</html>
